/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package service.impl;

import domain.Manufacturer;
import java.sql.SQLException;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;
import service.ServiceManufacturer;
import storage.StorageManufacturer;
import storage.impl.database.StorageDatabaseManufacturer;

/**
 *
 * @author student1
 */
public class ServiceManufacturerImpl implements ServiceManufacturer{
    private final StorageManufacturer storageManufacturer;

    public ServiceManufacturerImpl() {
        storageManufacturer = new StorageDatabaseManufacturer();
    }
    
    @Override
    public List<Manufacturer> getAll() {
        try {
            return storageManufacturer.getAll();
        } catch (SQLException ex) {
            System.out.println(ex.getMessage());
            return null;
        }
        
    }
    
}
