/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package service.impl;

import domain.Invoice;
import exception.ValidationException;
import java.util.Date;
import service.ServiceInvoice;
import storage.StorageInvoice;
import storage.impl.database.StorageDatabaseInvoice;
import validator.Validator;
import validator.invoice.SaveInvoiceValidator;

/**
 *
 * @author student1
 */
public class ServiceInvoiceImpl implements ServiceInvoice {

    private final StorageInvoice storage;
    private Validator validator;

    public ServiceInvoiceImpl() {
        this.storage = new StorageDatabaseInvoice();
//        validator = new SaveInvoiceValidator();
    }

    @Override
    public Invoice save(Invoice invoice) throws Exception {
//        izvrsiti validaciju

        invoice.setCreatedDate(new Date());
        validator = new SaveInvoiceValidator();
        try {
            validator.validate(invoice);
            return storage.save(invoice);
        } catch (ValidationException ve) {
            throw ve;
        } catch (Exception e) {
            e.printStackTrace();
            throw new Exception("Invoice is not created!");
        }

    }

}
